module Foreign.HacanonLight.DIS
    ( module Foreign.HacanonLight.DIS.Types
    , module Foreign.HacanonLight.DIS.StdDIS
    , isOfOperation
    , isInDIS
    , isOutDIS
    ) where

import Foreign.HacanonLight.DIS.Types
import Foreign.HacanonLight.DIS.StdDIS

isOfOperation :: [DISOperation] -> DIS -> Bool
isOfOperation ops dis = disOperation dis `elem` ops

isInDIS = isOfOperation [DISIn,DISInOut]
isOutDIS = isOfOperation [DISOut,DISInOut]